package cn.superdesk.uniorder.service.unified.impl;

import cn.superdesk.uniorder.dao.entity.unified.WeixinNotifyInfo;
import cn.superdesk.uniorder.dao.mapper.unified.WeixinNotifyInfoMapper;
import cn.superdesk.uniorder.service.unified.WeixinNotifyInfoService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WeixinNotifyInfoServiceImpl implements WeixinNotifyInfoService {

    @Autowired
    private WeixinNotifyInfoMapper weixinNotifyInfoMapper;


    @Override
    public int insertSelective(WeixinNotifyInfo weixinNotifyInfo) {
        return weixinNotifyInfoMapper.insertSelective(weixinNotifyInfo);
    }

    @Override
    public int updateByPrimaryKeySelective(WeixinNotifyInfo weixinNotifyInfo) {
        return weixinNotifyInfoMapper.updateByPrimaryKeySelective(weixinNotifyInfo);
    }

    @Override
    public void deleteObj(Long id) {
        weixinNotifyInfoMapper.deleteByPrimaryKey(id);
    }

    @Override
    public WeixinNotifyInfo findById(Long id) {
        return weixinNotifyInfoMapper.selectByPrimaryKey(id);
    }


    @Override
    public List<WeixinNotifyInfo> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<WeixinNotifyInfo> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }
}
